using System.Collections.Generic;
using Siger.Middlelayer.Repository.Data;
using Siger.Middlelayer.Repository.Entities;
using Siger.Middlelayer.Repository.Paged;
using Siger.Middlelayer.Repository.Response;

namespace Siger.Middlelayer.Repository.Repositories.Interface
{
    public interface ISigerProjectRepository : IApiConfigRepositoryBase<siger_project>
    {
        Project GetProject(int id);

        IPagedCollectionResult<Project> GetPagedCollectionResult(string title, string mid,
            string companyid, string dutymid, string salesmid, string typeid, int page, int pagesize);

        IEnumerable<ResponseIdTitle> GetAllDashboards();
        IEnumerable<ResponseGetAdminsForDorpdown> GetProjectUser(int type);
    }
}
